Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_RefCounted Class Reference

TAO_Notify_RefCounted. More...

`#include <Notify_Listeners.h>`

Inheritance diagram for TAO_Notify_RefCounted:

[legend]
List of all members.

## Public Methods
virtual CORBA::ULong | _incr_refcnt (void)=0
| Increment the reference count. More...
virtual CORBA::ULong | _decr_refcnt (void)=0
| Decrement the reference count. More...

## Detailed Description

TAO_Notify_RefCounted.

@ Pradeep: what do you mean "often", is it used for something else sometimes? Or is it that sometimes refcounting is done some other way? Often used interface for ref. counting.

## Member Function Documentation

virtual CORBA::ULong TAO_Notify_RefCounted::_decr_refcnt | ( | void |  | ) | `[pure virtual]`

| Decrement the reference count. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_Proxy, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::ProxyPushConsumer >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::SequenceProxyPushConsumer >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >, and TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::StructuredProxyPushConsumer >.

virtual CORBA::ULong TAO_Notify_RefCounted::_incr_refcnt | ( | void |  | ) | `[pure virtual]`

| Increment the reference count. Reimplemented in TAO_Notify_ConsumerAdmin_i, TAO_Notify_Proxy, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::StructuredProxyPushSupplier >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::ProxyPushConsumer >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::SequenceProxyPushConsumer >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::ProxyPushSupplier >, TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::SequenceProxyPushSupplier >, and TAO_Notify_Proxy< POA_CosNotifyChannelAdmin::StructuredProxyPushConsumer >.

The documentation for this class was generated from the following file:

- Notify_Listeners.h